/*
 Theme Name:   Woodmart Child
 Description:  Woodmart Child Theme
 Author:       XTemos
 Author URI:   http://xtemos.com
 Template:     woodmart
 Version:      1.0.0
 Text Domain:  woodmart
*/

.pad-lg {padding-block: clamp(40px, 7.5vw, 120px);}
.pad-lg-start {padding-block-start: clamp(40px, 7.5vw, 120px);}
.pad-lg-end {padding-block-end: clamp(40px, 7.5vw, 120px);}
.pad-md {padding-block: clamp(30px, 5.8vw, 80px);}
.pad-md-start {padding-block-start: clamp(30px, 5.8vw, 80px);}
.pad-md-end {padding-block-end: clamp(30px, 5.8vw, 80px);}
.pad-sm {padding-block: clamp(20px, 3.75vw, 60px);}
.pad-sm-start {padding-block-start: clamp(20px, 3.75vw, 60px);}
.pad-sm-end {padding-block-end: clamp(20px, 3.75vw, 60px);}
.site-content {margin-bottom: 0px;padding-inline: 0px !important;}
header .whb-general-header-inner{transition: max-height 0.2s ease-in-out;}
header.sticky .whb-general-header-inner {max-height: 70px;}
header {position: sticky !important; top: -495px; z-index: 99;}
@media screen and (max-width:1024px) {header {top: -350px;}}
@media screen and (max-width:767px) {header {top: -250px;}}
header .wooden-header {position: sticky; top: 0px; z-index: 99;}
header.sticky .wooden-header {box-shadow: 0px 5px 20px #aaa}
body.home header {top: 0px;}
.header-grid {
  display: grid;
  grid-template-columns: minmax(var(--container-default-padding-left),1fr)
    [bg-start content-start] 
    minmax(0,1650px) 
    [bg-end content-end] 
    minmax(var(--container-default-padding-right),1fr);
  grid-template-rows: 1fr;
}
#menu-main-header-menu {column-gap: clamp(20px,2vw,45px);}
.header-grid .bg {
  grid-area: bg;
}
.header-grid .content {
  grid-area: content;
}
.wooden-header .whb-row .container {
  padding: 0px
}
.wooden-header .phone-btn {
  border: none; white-space: nowrap;
}
.swiper-pagination {
  counter-set: bullet;
  justify-content: end;
  display: flex;
  bottom: 0 !important;
}
.swiper-pagination span {
  counter-increment: bullet;
  position: relative;
  width: 25px;
  height: 25px;
  background-color: transparent !important;
}
.swiper-pagination span::after {content: '0'counter(bullet); font-weight: 500; color: #000;}
.swiper-pagination span.swiper-pagination-bullet-active::after {color: var(--e-global-color-primary);}
.form-grid {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	gap: clamp(20px,2.2vw,30px);
}
.form-grid .span-2 {grid-column: span 2;}
.form-grid .center {text-align: center;}
.form-grid :is(input, textarea) {
	border-radius: 5px;
	padding: 10px 20px;
	height: auto;
	font-weight: normal;
	text-align: left;
}
.form-grid p {margin: 0;}
.form-grid textarea {
	min-height: 0;
	height: auto;
}
.wc-block-filter-submit-button.wc-block-filter-submit-button.wc-block-filter-submit-button {
  border-radius: 999px;
  background: var(--e-global-color-primary);
  color: #fff;
  padding-inline: 30px !important;
}
.wc-block-filter-submit-button.wc-block-filter-submit-button.wc-block-filter-submit-button:hover {
  background: var(--e-global-color-secondary);
}
:is(.wd-widget, .wc-blocks-filter-wrapper, .widget_products) :is(h2, h3) {
	font-size: clamp(1.25rem, 1.0192rem + 0.4808vw, 1.5rem) !important;
	text-transform: inherit !important;
}
.wd-widget.widget:has(.head) {
  padding: 0 !important;
  border: none;
  margin-bottom: 10px;
}
.shop-grid .product-wrapper {
  box-shadow: none !important;
}
.shop-grid .product-element-bottom {
  padding-inline: 0px !important;
}
.shop-grid .product-element-bottom h3 {
  font-size: clamp(1.25rem, 1.0192rem + 0.4808vw, 1.5rem) !important
}
.shop-grid .product-element-bottom .wd-product-cats a {
  color: #555555;
  text-transform: uppercase;
}
.shop-grid .product-image-link img {
  height: clamp(200px,21.8vw,350px);
  object-fit: cover;
  border-radius: 10px;
}
.wd-widget.widget .wp-block-categories-list li::before {
  content: '';
  background-image: url("data:image/svg+xml,%3Csvg viewBox='0 0 32 32' version='1.1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' fill='%23000000'%3E%3Cg id='SVGRepo_bgCarrier' stroke-width='0'%3E%3C/g%3E%3Cg id='SVGRepo_tracerCarrier' stroke-linecap='round' stroke-linejoin='round'%3E%3C/g%3E%3Cg id='SVGRepo_iconCarrier'%3E%3Cg id='icomoon-ignore'%3E%3C/g%3E%3Cpath d='M19.159 16.767l0.754-0.754-6.035-6.035-0.754 0.754 5.281 5.281-5.256 5.256 0.754 0.754 3.013-3.013z' fill='%23000000'%3E%3C/path%3E%3C/g%3E%3C/svg%3E");
  background-repeat: no-repeat;
  background-position: center;
  background-size: 150%;
  position: absolute;
  width: 20px;
  height: 20px;
  left: 0px;
  top: 4px;
}
.wd-widget.widget .wp-block-categories-list li {
  position: relative;
  padding-left: 20px;
	font-size: 20px;
  margin-left: -5px;
}
.wd-widget.widget .wp-block-categories-list li a {
  color: var(--e-global-color-secondary)
}
.wd-widget.widget .wp-block-categories-list li.current-cat a {
  color: var(--e-global-color-primary)
}
#shop-archive {
  display: none;
}
body:is(.post-type-archive.post-type-archive-product, .single.single-product, .archive.tax-product_cat) #shop-archive {
  display: block;
}
.woocommerce div.product.elementor .woocommerce-tabs .panel {padding: 20px 0 !important;}
.woocommerce div.product.elementor ul.tabs li a {padding: .8em 0;}
.wd-nav-tabs > li:not(:last-child) {margin-inline-end: 35px;}
.woocommerce div.product.elementor ul.tabs li{margin-block-end: 2px;}
.woocommerce div.product.elementor ul.tabs li:is(.active, :hover) {box-shadow: 0px 3px 0px var(--e-global-color-primary);}
.elementor-widget-woocommerce-product-data-tabs .tabs-layout-tabs .wd-nav-tabs-wrapper {text-align: left;}
.related .title.slider-title {text-align: center !important;}
.related .title.slider-title::before {content: none !important;}
.thumbs-position-left:not(.wd-has-thumb) > .col-lg-9 figure {margin-inline-start: 0px !important}
.woocommerce-product-gallery :is(.product-image-thumbnail,.woocommerce-product-gallery__image) img {border-radius: 10px}
.pswp__button {background-color: transparent !important;}
.widget_products .widget-product-info {
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.widget_products .widget-product-info .wd-entities-title {
  font-size: clamp(1.125rem, 1.0096rem + 0.2404vw, 1.25rem);
  color: #000;
}
.widget_products .widget-product-info .woocommerce-Price-amount.amount {
  color: var(--e-global-color-secondary)
}
.widget_products .widget-product-img img {
  min-width: 70px;
  border-radius: 10px;
}
.widget_products .product_list_widget > li {
  padding-bottom: 5px;
  border: none;
}
.shop-grid .woocommerce-Price-amount.amount {
  color: var(--e-global-color-secondary);
  font-size: 18px;
}
body:is(.woocommerce-checkout, .woocommerce-cart) .entry-content > .woocommerce {
  max-width: 1170px;
  margin-inline: auto;
  padding-block: clamp(40px, 7.3vw, 100px);
}
div.quantity :is(input[type="number"], input[type="text"], input[type="button"]) {border-radius: 0px !important;}
.wd-buttons[class*="wd-pos-r"] .wd-tooltip-label {
  top:50%;
  right:100%;
  margin-top:-17px;
  margin-right:8px
}
.wd-buttons[class*="wd-pos-r"] .wd-tooltip-label:before {
  top:50%;
  left:100%;
  margin-top:-5px;
  border-width:5px 0 5px 5px;
  border-left-color:#000
}
.product-grid-item {
  text-align:left;
  line-height:1.4;
  --text-align: center;
  --wd-btn-inset: 10px;
  --wd-prod-gap: 12px;
  --wd-prod-bg-sp: 0;
  --wd-prod-bg-cont-sp: 0;
  --wd-prod-trim: calc((var(--wd-text-line-height) * -.5em) + .5em)
}
.product-grid-item .product-wrapper {
  border-radius:var(--wd-brd-radius);
  padding:var(--wd-prod-bg-sp)
}
.product-grid-item :where(.product-wrapper,
.product-element-bottom) {
  display:flex;
  flex-direction:column;
  gap:var(--wd-prod-gap)
}
.product-grid-item :is(.product-image-link,
.hover-img) img {
  width:100%
}
.product-grid-item .product-image-link {
  position:relative;
  display:block
}
.product-grid-item .hover-img {
  position:absolute;
  inset:0;
  display:flex;
  align-items:center;
  justify-content:center;
  background-color:var(--bgcolor-white);
  opacity:0;
  transition:opacity 0.5s ease,transform 2s cubic-bezier(0, 0, 0.44, 1.18)
}
.product-grid-item .hover-img>a {
  display:block;
  flex:1 1 100%;
  max-width:100%;
  width:100%
}
.product-grid-item :is(.wd-entities-title,
.wd-product-cats,
.wd-product-brands-links,
.wd-product-sku,
.wd-product-stock,
.price) {
  line-height:inherit;
  margin-block:-.2em
}
.product-grid-item .wd-entities-title {
  font-size:inherit
}
.product-grid-item :is(.wd-product-cats,
.wd-product-brands-links) {
  font-size:95%;
  --wd-link-color: var(--color-gray-400);
  --wd-link-color-hover: var(--color-gray-700)
}
.product-grid-item :is(.wd-product-cats,
.wd-product-brands-links) a {
  display:inline-block
}
.product-grid-item .wd-product-sku {
  color:var(--color-gray-400);
  word-break:break-all;
  font-size:95%
}
.product-grid-item .wd-product-sku .wd-label {
  color:var(--color-gray-800);
  font-weight:600
}
.product-grid-item .wd-star-rating {
  display:inline-flex;
  align-items:center;
  align-self:var(--text-align);
  gap:5px
}
.product-grid-item .star-rating {
  align-self:var(--text-align);
  line-height:1
}
.product-grid-item .woocommerce-review-link {
  line-height:1;
  color:var(--color-gray-500)
}
.product-grid-item .woocommerce-review-link:hover {
  color:var(--color-gray-900)
}
.product-grid-item .wd-swatches-grid:empty {
  display:none
}
.product-grid-item :is(.wd-product-countdown,
.wd-swatches-grid) {
  justify-content:var(--text-align)
}
.product-grid-item .price {
  display:block
}
.product-grid-item .added_to_cart {
  display:none !important
}
.product-grid-item .shop_attributes {
  font-size:90%;
  --wd-attr-v-gap: 10px;
  --wd-attr-brd-style: dashed;
  --wd-attr-img-width: 18px
}
.product-grid-item:is(.wd-variation-active,
.product-swatched,
.wd-loading-image) .hover-img {
  display:none
}
.product-grid-item:is(.quick-shop-shown,
.wd-loading-quick-shop) .product-element-top .hover-img {
  opacity:0;
  transition:opacity 0.25s ease,transform 2s cubic-bezier(0, 0, 0.44, 1.18)
}
.product-element-top {
  position:relative;
  overflow:hidden;
  border-radius:var(--wd-brd-radius);
  -webkit-backface-visibility:hidden;
  backface-visibility:hidden
}
.browser-Safari .product-element-top {
  transform:translate3d(0, 0, 0)
}
.product-element-top:hover .hover-img {
  opacity:1;
  transform:scale(1.09)
}
.product-element-top:after {
  position:absolute;
  top:calc(50% - 16px);
  left:calc(50% - 16px);
  visibility:hidden;
  opacity:0;
  content:"";
  display:inline-block;
  width:32px;
  height:32px;
  border:1px solid rgba(0,0,0,0);
  border-left-color:var(--color-gray-900);
  border-radius:50%;
  vertical-align:middle
}
.product-grid-item[class*="wd-loading"] .product-image-link {
  opacity:.4
}
.product-grid-item[class*="wd-loading"] .product-element-top:after {
  visibility:visible;
  opacity:1;
  transition:opacity .25s ease, visibility .25s ease;
  animation:wd-rotate 450ms infinite linear
}
:is(.catalog-mode-on,
.login-see-prices) .product.product-grid-item .wd-add-btn {
  display:none
}
.wd-buttons {
  z-index:4;
  display:flex;
  flex-direction:column;
  border-radius:calc(var(--wd-brd-radius) / 1.2);
  background:var(--bgcolor-white);
  box-shadow:1px 1px 1px rgba(0,0,0,0.1);
  transition:all .3s ease
}
.wd-buttons .wd-action-btn>a {
  height:45px
}
.wd-buttons[class*="wd-pos-r"] {
  position:absolute;
  opacity:0;
  visibility:hidden;
  transform:translateX(20px) translateZ(0)
}
.wd-buttons.wd-pos-r-t {
  top:var(--wd-btn-inset);
  inset-inline-end:var(--wd-btn-inset)
}
.wd-buttons.wd-pos-r-b {
  inset-inline-end:var(--wd-btn-inset);
  bottom:var(--wd-btn-inset)
}
.product-grid-item:hover:not(:is(.product-swatched,
.quick-shop-shown,
[class*="wd-loading)"])) .wd-buttons[class*="wd-pos-r"] {
  opacity:1;
  visibility:visible;
  transform:none
}
.product-grid-item.product-swatched:not(.quick-shop-shown):not([class*="wd-loading"]) .product-element-top:hover .wd-buttons[class*="wd-pos-r"] {
  opacity:1;
  visibility:visible;
  transform:none
}
.product-grid-item.product-type-simple.outofstock .product_type_simple:before,
.product-grid-item .product_type_grouped:before {
  content:"\f11a"
}
.product-grid-item .product_type_external:before {
  content:"\f11c"
}
.slider-type-product :is(.owl-stage-outer,
.wd-owl:not(.owl-loaded)) {
  padding-block:3px
}
:is(.products-bordered-grid-ins,
.wd-products-with-bg:not(.products-bordered-grid),
.wd-products-with-shadow:not(.products-bordered-grid)) .product-grid-item {
  --wd-prod-bg-sp: 15px
}
.products-bordered-grid-ins .product-wrapper {
  border:1px solid var(--brdcolor-gray-300)
}
.product-grid-item :is(.product-wrapper,
.product-element-bottom,
.product-list-content,
[class*="-information"])>*:not(:is(.wd-entities-title,
[class*="wd-product-"],
.price)) {
  margin-block:0
}
:is(.quick-shop-shown,
.wd-loading-quick-shop) :is(.wd-buttons,
.product-labels) {
  opacity:0
}
@media (max-width: 1024px) {
  .product-grid-item .hover-img {
    display:none
  }
  .product-grid-item .wd-buttons {
    opacity:1;
    transform:none;
    visibility:visible
  }
  .wd-buttons {
    border-radius:35px
  }
  .wd-buttons .wd-action-btn>a {
    width:35px;
    height:35px
  }
  .wd-buttons .wd-action-btn>a:before,
  .wd-buttons .wd-action-btn>a:after {
    font-size:14px
  }
  .wd-buttons :is(.wd-quick-view-icon,
  .wd-compare-btn) {
    display:none
  }
}
@media (max-width: 768.98px) {
  :is(.products-bordered-grid-ins,
  .wd-products-with-bg:not(.products-bordered-grid),
  .wd-products-with-shadow:not(.products-bordered-grid)) .product-grid-item {
    --wd-prod-bg-sp: 10px
  }
}
@media (max-width: 576px) {
  :is(.product-grid-item.col-6,
  .owl-items-xs-2 .product-grid-item) {
    --wd-prod-gap: 10px;
    font-size:90%
  }
}
.product-labels {
  position:absolute;
  top:7px;
  inset-inline-start:7px;
  z-index:1;
  display:flex;
  align-items:flex-start;
  flex-direction:column;
  flex-wrap:nowrap;
  gap:10px;
  max-width:50%;
  transition:opacity .3s ease
}
.product-labels .label-with-img {
  padding:0;
  max-width:50px
}
.product-label {
  padding:5px 10px;
  min-width:50px;
  color:#fff;
  text-align:center;
  text-transform:uppercase;
  word-break:break-all;
  font-weight:600;
  font-size:12px;
  line-height:1.2
}
.product-label.onsale {
  background-color:var(--wd-primary-color);
  direction:ltr
}
.product-label.featured {
  background-color:#E22D2D
}
.product-label.new {
  background-color:#438E44
}
.product-label.out-of-stock {
  background-color:var(--bgcolor-white);
  color:var(--color-gray-900)
}
.product-label.attribute-label:not(.label-with-img) {
  background-color:var(--bgcolor-white);
  color:var(--color-gray-900)
}
.labels-rounded-sm .product-label {
  border-radius:12px
}
@media (max-width: 576px) {
  .product-labels {
    gap:5px
  }
  .product-label {
    padding-inline:5px;
    min-width:40px;
    font-size:10px
  }
  .product-label .label-with-img {
    padding-inline:0
  }
}